Skip to main content
PUT
/
accounts
/
{accountId}
Update an account
curl --request PUT \
  --url https://api-dev.paygen.online/accounts/{accountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ownerType": "user",
  "ownerId": "<string>",
  "name": "<string>",
  "type": "savings",
  "category": "fiat",
  "status": "active",
  "currency": "<string>",
  "network": "<string>",
  "balance": 123,
  "canDebit": true,
  "canCredit": true
}
'
{
  "statusCode": 123,
  "message": "<string>",
  "data": {
    "_id": "<string>",
    "ownerType": "<string>",
    "ownerId": "<string>",
    "client": "<string>",
    "name": "<string>",
    "type": "<string>",
    "category": "<string>",
    "status": "<string>",
    "currency": "<string>",
    "network": "<string>",
    "balance": 123,
    "canDebit": true,
    "canCredit": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

accountId
string
required

Body

application/json
ownerType
enum<string>
Available options:
user,
business,
system,
provider
ownerId
string
name
string
type
enum<string>
Available options:
savings,
treasury,
checking,
credit
category
enum<string>
Available options:
fiat,
crypto
status
enum<string>
Available options:
active,
inactive,
suspended,
closed
currency
string
network
string
balance
number
canDebit
boolean
canCredit
boolean

Response

200 - application/json

Account updated successfully.

statusCode
integer
required
message
string
required
data
object